# **MachineLite**


**MachineLite** provides a streamlined solution for evaluating various supervised machine learning algorithms, simplifying the data scientist's workflow by automating model integration and evaluation. With just a few lines of code, SciLite enables quick access to essential machine learning evaluations, saving valuable time and effort.

---

### Installation

To install the package, run:

```bash
pip install machinelite
```

---

### Usage

Basic example of how to use the package in Python:

```bash
from machinelite.univariate.regression import Regression as reg
result = reg(X_train, X_test, y_train, y_test)
print(result)
```

---

### Features

- **One-Click Model Integration:** Supports easy integration and evaluation of multiple supervised machine learning models, whether for regression or classification.
- **Efficient Model Evaluation:** Simplifies machine learning model evaluations with standardized output, aiding in faster analysis and comparisons.

---

### Contributing

Contributions to MachineLite are warmly welcomed! If you'd like to contribute, please fork the repository and submit a pull request or open an issue to discuss improvements.

---

### Documentation

**MachineLite:** [View Here](https://pypi.org/project/machinelite/0.0.1/)

---

### License

[![MIT License](https://img.shields.io/badge/License-MIT-green.svg)](https://github.com/AyushJainSparsh/MachineLite?tab=MIT-1-ov-file)

---

### Contact
For any questions or issues, feel free to reach out to:

* Author: Ayush Jain Sparsh
* Email: ayushjainsparsh2004.ajs@gmail.com

---
